Name:          libndp
Version:       1.9
Release:       1mamba
Summary:       Neighbor Discovery library
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/jpirko/libndp
Source:        https://github.com/jpirko/libndp.git/v%{version}/libndp-%{version}.tar.bz2
License:       LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
## AUTOBUILDREQ-END

%description
Neighbor Discovery library.

%package devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      pkg-config

%description devel
This package contains libraries and header files for developing applications that use %{name}.

%package tools
Group:         Applications/Networking
Summary:       Utility applications for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description tools
This package contains utility applications for %{name}.

%debug_package

%prep
%setup -q

%build
./autogen.sh
%configure
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_libdir}/libndp.so.*
%doc COPYING

%files devel
%defattr(-,root,root)
%{_bindir}/ndptool
%{_includedir}/ndp.h
%{_libdir}/libndp.a
%{_libdir}/libndp.so
%{_libdir}/pkgconfig/libndp.pc
%doc README

%files tools
%defattr(-,root,root)
%{_mandir}/man8/ndptool.8*

%changelog
* Sun Jun 30 2024 Automatic Build System <autodist@openmamba.org> 1.9-1mamba
- automatic version update by autodist

* Sat May 22 2021 Automatic Build System <autodist@mambasoft.it> 1.8-1mamba
- automatic version update by autodist

* Sun Sep 30 2018 Automatic Build System <autodist@mambasoft.it> 1.7-1mamba
- automatic version update by autodist

* Tue May 24 2016 Automatic Build System <autodist@mambasoft.it> 1.6-1mamba
- automatic version update by autodist

* Fri Jun 19 2015 Automatic Build System <autodist@mambasoft.it> 1.5-1mamba
- automatic version update by autodist

* Thu Feb 12 2015 Automatic Build System <autodist@mambasoft.it> 1.4-1mamba
- automatic version update by autodist

* Sat Jul 05 2014 Automatic Build System <autodist@mambasoft.it> 1.3-1mamba
- automatic version update by autodist

* Tue Jun 17 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 1.2-1mamba
- package created using the webbuild interface
